Gentoo Archives: gentoo-commits

From: "Diego Petteno (flameeyes)" <flameeyes@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-util/perf: metadata.xml ChangeLog perf-2.6.33_rc6.ebuild perf-2.6.33_rc2.ebuild perf-2.6.33_rc5.ebuild
Date: Sun, 31 Jan 2010 10:27:28
Message-Id: E1NbX1W-00047c-Oj@stork.gentoo.org
1 flameeyes 10/01/31 10:27:22
2
3 Modified: metadata.xml ChangeLog
4 Added: perf-2.6.33_rc6.ebuild
5 Removed: perf-2.6.33_rc2.ebuild perf-2.6.33_rc5.ebuild
6 Log:
7 Bump to rc6 (instead of revbumping) so that the RC patch is actually applied. Huge thanks to Zeev Tarantov in bug #302387 for reporting and providing the fix. Also introduce perl USE flag for the Perl scripting in perf, and fix building with USE=perl and --as-needed (patch to be sent upstream).
8 (Portage version: 2.2_rc62/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.3 dev-util/perf/metadata.xml
12
13 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/metadata.xml?rev=1.3&view=markup
14 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/metadata.xml?rev=1.3&content-type=text/plain
15 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/metadata.xml?r1=1.2&r2=1.3
16
17 Index: metadata.xml
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-util/perf/metadata.xml,v
20 retrieving revision 1.2
21 retrieving revision 1.3
22 diff -u -r1.2 -r1.3
23 --- metadata.xml 31 Oct 2009 11:58:37 -0000 1.2
24 +++ metadata.xml 31 Jan 2010 10:27:21 -0000 1.3
25 @@ -19,5 +19,8 @@
26 documentation handling tools that are not always welcome on user
27 systems.
28 </flag>
29 + <flag name="perl">
30 + Add support for Perl as a scripting language for perf tools.
31 + </flag>
32 </use>
33 </pkgmetadata>
34
35
36
37 1.12 dev-util/perf/ChangeLog
38
39 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/ChangeLog?rev=1.12&view=markup
40 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/ChangeLog?rev=1.12&content-type=text/plain
41 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/ChangeLog?r1=1.11&r2=1.12
42
43 Index: ChangeLog
44 ===================================================================
45 RCS file: /var/cvsroot/gentoo-x86/dev-util/perf/ChangeLog,v
46 retrieving revision 1.11
47 retrieving revision 1.12
48 diff -u -r1.11 -r1.12
49 --- ChangeLog 23 Jan 2010 17:22:22 -0000 1.11
50 +++ ChangeLog 31 Jan 2010 10:27:21 -0000 1.12
51 @@ -1,6 +1,17 @@
52 # ChangeLog for dev-util/perf
53 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
54 -# $Header: /var/cvsroot/gentoo-x86/dev-util/perf/ChangeLog,v 1.11 2010/01/23 17:22:22 flameeyes Exp $
55 +# $Header: /var/cvsroot/gentoo-x86/dev-util/perf/ChangeLog,v 1.12 2010/01/31 10:27:21 flameeyes Exp $
56 +
57 +*perf-2.6.33_rc6 (31 Jan 2010)
58 +
59 + 31 Jan 2010; Diego E. Pettenò <flameeyes@g.o>
60 + -perf-2.6.33_rc2.ebuild, -perf-2.6.33_rc5.ebuild, +perf-2.6.33_rc6.ebuild,
61 + metadata.xml:
62 + Bump to rc6 (instead of revbumping) so that the RC patch is actually
63 + applied. Huge thanks to Zeev Tarantov in bug #302387 for reporting and
64 + providing the fix. Also introduce perl USE flag for the Perl scripting in
65 + perf, and fix building with USE=perl and --as-needed (patch to be sent
66 + upstream).
67
68 23 Jan 2010; Diego E. Pettenò <flameeyes@g.o>
69 perf-2.6.33_rc2.ebuild, perf-2.6.33_rc5.ebuild:
70
71
72
73 1.1 dev-util/perf/perf-2.6.33_rc6.ebuild
74
75 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/perf-2.6.33_rc6.ebuild?rev=1.1&view=markup
76 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/perf/perf-2.6.33_rc6.ebuild?rev=1.1&content-type=text/plain
77
78 Index: perf-2.6.33_rc6.ebuild
79 ===================================================================
80 # Copyright 1999-2010 Gentoo Foundation
81 # Distributed under the terms of the GNU General Public License v2
82 # $Header: /var/cvsroot/gentoo-x86/dev-util/perf/perf-2.6.33_rc6.ebuild,v 1.1 2010/01/31 10:27:21 flameeyes Exp $
83
84 EAPI=2
85
86 inherit versionator eutils toolchain-funcs linux-info
87
88 MY_PV="${PV/_/-}"
89 MY_PV="${MY_PV/-pre/-git}"
90
91 DESCRIPTION="Userland tools for Linux Performance Counters"
92 HOMEPAGE="http://perf.wiki.kernel.org/"
93
94 LINUX_V=$(get_version_component_range 1-2)
95
96 if [ ${PV/_rc} != ${PV} ]; then
97 LINUX_VER=$(get_version_component_range 1-2).$(($(get_version_component_range 3)-1))
98 PATCH_VERSION=$(get_version_component_range 1-3)
99 LINUX_PATCH=patch-${PV//_/-}.bz2
100 SRC_URI="mirror://kernel/linux/kernel/v${LINUX_V}/testing/${LINUX_PATCH}
101 mirror://kernel/linux/kernel/v${LINUX_V}/testing/v${PATCH_VERSION}/${LINUX_PATCH}"
102 else
103 LINUX_VER=${PV}
104 fi
105
106 LINUX_SOURCES=linux-${LINUX_VER}.tar.bz2
107 SRC_URI="${SRC_URI} mirror://kernel/linux/kernel/v${LINUX_V}/${LINUX_SOURCES}"
108
109 LICENSE="GPL-2"
110 SLOT="0"
111 KEYWORDS="~amd64"
112 IUSE="+demangle +doc perl"
113
114 RDEPEND="demangle? ( sys-devel/binutils )
115 perl? ( || ( >=dev-lang/perl-5.10 sys-devel/libperl ) )
116 dev-libs/elfutils"
117 DEPEND="${RDEPEND}
118 ${LINUX_PATCH+dev-util/patchutils}
119 doc? ( app-text/asciidoc app-text/xmlto )"
120
121 S="${WORKDIR}/linux-${LINUX_VER}/tools/perf"
122
123 CONFIG_CHECK="~PERF_EVENTS ~KALLSYMS"
124
125 src_unpack() {
126 local _tarpattern=
127 local _filterdiff=
128 for _pattern in {tools/perf,include,lib,"arch/*/include"}; do
129 _tarpattern="${_tarpattern} linux-${LINUX_VER}/${_pattern}"
130 _filterdiff="${_filterdiff} -i ${_pattern}/*"
131 done
132
133 # We expect the tar implementation to support the -j option (both
134 # GNU tar and libarchive's tar support that).
135 ebegin "Unpacking partial source tarball"
136 tar --wildcards -xpf "${DISTDIR}"/${LINUX_SOURCES} ${_tarpattern}
137 eend $? || die "tar failed"
138
139 ebegin "Filtering partial source patch"
140 filterdiff -p1 ${_filterdiff} -z "${DISTDIR}"/${LINUX_PATCH} > ${P}.patch || die
141 eend $? || die "filterdiff failed"
142
143 MY_A=
144 for _AFILE in ${A}; do
145 [[ ${_AFILE} == ${LINUX_SOURCES} ]] && continue
146 [[ ${_AFILE} == ${LINUX_PATCH} ]] && continue
147 MY_A="${MY_A} ${_AFILE}"
148 done
149 [[ -n ${MY_A} ]] && unpack ${MY_A}
150 }
151
152 src_prepare() {
153 if [[ -n ${LINUX_PATCH} ]]; then
154 cd "${WORKDIR}"/linux-"${LINUX_VER}"
155 epatch "${WORKDIR}"/${P}.patch
156 fi
157
158 # Drop some upstream too-developer-oriented flags and fix the
159 # Makefile in general
160 sed -i \
161 -e 's:-Werror::' \
162 -e 's:-ggdb3::' \
163 -e 's:-fstack-protector-all::' \
164 -e 's:^LDFLAGS =:EXTLIBS +=:' \
165 -e '/PERL_EMBED_LDOPTS/s:ALL_LDFLAGS +=:EXTLIBS +=:' \
166 -e '/-x c - /s:\$(ALL_LDFLAGS):\0 $(EXTLIBS):' \
167 -e '/^ALL_CFLAGS =/s:$: $(CFLAGS_OPTIMIZE):' \
168 -e '/^ALL_LDFLAGS =/s:$: $(LDFLAGS_OPTIMIZE):' \
169 "${S}"/Makefile
170 }
171
172 src_compile() {
173 local makeargs=
174
175 use demangle || makeargs="${makeargs} NO_DEMANGLE= "
176 use perl || makeargs="${makeargs} NO_LIBPERL= "
177
178 emake ${makeargs} \
179 CC="$(tc-getCC)" AR="$(tc-getAR)" \
180 prefix="/usr" bindir_relative="sbin" \
181 CFLAGS_OPTIMIZE="${CFLAGS}" \
182 LDFLAGS_OPTIMIZE="${LDFLAGS}" || die
183
184 if use doc; then
185 pushd Documentation
186 emake ${makeargs} || die
187 popd
188 fi
189 }
190
191 src_test() {
192 :
193 }
194
195 src_install() {
196 # Don't use make install or it'll be re-building the stuff :(
197 dobin perf || die
198
199 dodoc CREDITS || die
200
201 if use doc; then
202 dodoc Documentation/*.txt || die
203 dohtml Documentation/*.html || die
204 doman Documentation/*.1 || die
205 fi
206 }
207
208 pkg_postinst() {
209 if ! use doc; then
210 elog "Without the doc USE flag you won't get any documentation nor man pages."
211 elog "And without man pages, you won't get any --help output for perf and its"
212 elog "sub-tools."
213 fi
214 }